CREATE TABLE hrsa_variable_archive_item  (
  id bigint NOT NULL,
  employee_id bigint NOT NULL,
  variable_archive_id bigint NOT NULL,
  variable_item_id bigint NOT NULL,
  item_value varchar(255) NULL,
  create_time datetime NOT NULL,
  update_time datetime NOT NULL,
  creator bigint NOT NULL,
  delete_type int NOT NULL,
  tenant_key varchar(10) NULL,
  PRIMARY KEY (id)
) 
GO

CREATE TABLE hrsa_variable_archive (
  id bigint NOT NULL,
  employee_id bigint NULL,
  salary_month datetime NULL ,
  create_time datetime NOT NULL,
  update_time datetime NOT NULL,
  creator bigint NOT NULL,
  delete_type int NOT NULL,
  tenant_key varchar(10) NULL,
  PRIMARY KEY (id)
)
GO

CREATE TABLE hrsa_variable_item  (
  id bigint NOT NULL,
  name varchar(255) NOT NULL,
  code varchar(255) NOT NULL,
  data_type varchar(20)NULL ,
  create_time datetime NOT NULL,
  update_time datetime NOT NULL,
  creator bigint NOT NULL,
  delete_type int NOT NULL,
  tenant_key varchar(10) NULL,
  PRIMARY KEY (id) 
)
GO